Skip to main content
GET
/
gpus
/
v2
/
prewarm-tasks
List Image Prewarm Tasks
curl --request GET \
  --url https://api.novita.ai/gpus/v2/prewarm-tasks \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/prewarm-tasks"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/prewarm-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "task_id": "prewarm-task-id",
      "name": "image:tag",
      "image": "registry.example.com/team/image:tag",
      "region_id": "region-a",
      "product_ids": [
        "product-a"
      ],
      "image_size": 10737418240,
      "created_at": 1714982400,
      "completed_at": 0,
      "status": {
        "status": "running",
        "error": "",
        "message": ""
      },
      "registry_auth_id": "registry-auth-id",
      "note": "",
      "reason": [
        ""
      ]
    }
  ],
  "next_cursor": "eyJpZCI6Im5leHQtcGFnZSJ9",
  "has_more": true
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Query Parameters

limit
integer

Maximum number of items to return. Integer, value >= 0.

cursor
string

Cursor returned by the previous page. Leave empty for the first request. String, length: 0-1024 characters.

status
enum<string>

Filter by task status. Allowed values: pending, running, succeeded, failed. Use an empty string to skip filtering.

Available options:
pending,
running,
succeeded,
failed
region_id
string

Filter by region ID. String, length: 0-255 characters.

name
string

Fuzzy search by image name or note. String, length: 0-255 characters.

Response

200 - application/json

OK

data
object[]

Image prewarm task list

next_cursor
string

Cursor for the next page. Empty string when there is no more data

Example:

"eyJpZCI6Im5leHQtcGFnZSJ9"

has_more
boolean

Whether more data is available

Example:

true

Last modified on June 23, 2026